(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     84616,       1896]
NotebookOptionsPosition[     83551,       1863]
NotebookOutlinePosition[     83910,       1879]
CellTagsIndexPosition[     83867,       1876]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"IMPORT", " ", "DAT", " ", "Z", " ", "EXCELU"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    StyleBox[
     RowBox[{"cesta", "=", "\"\<...\\Matice_a_data.xls\>\""}],
     FontColor->RGBColor[1, 0, 0]], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{"!", 
     RowBox[{"NUTNO", " ", 
      RowBox[{"NASTAVIT", "!"}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cestavysledky", "=", 
     StyleBox["\"\<...\\vysledky.xls\>\"",
      FontColor->RGBColor[1, 0, 0]]}], ";", " ", 
    RowBox[{"(*", 
     RowBox[{"!", 
      RowBox[{"NUTNO", " ", 
       RowBox[{"NASTAVIT", "!"}]}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"korelaceregionuvstup", "=", 
     RowBox[{"Import", "[", 
      RowBox[{"cesta", ",", 
       RowBox[{"{", 
        RowBox[{"\"\<Sheets\>\"", ",", "\"\<Regiony\>\""}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"korelaceodvetvivstup", "=", 
     RowBox[{"Import", "[", 
      RowBox[{"cesta", ",", 
       RowBox[{"{", 
        RowBox[{"\"\<Sheets\>\"", ",", "\"\<Odvetvi\>\""}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"maticeprechoduvstup", "=", 
     RowBox[{"Import", "[", 
      RowBox[{"cesta", ",", 
       RowBox[{"{", 
        RowBox[{"\"\<Sheets\>\"", ",", "\"\<Matice_prechodu\>\""}], "}"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datavstup", "=", 
     RowBox[{"Import", "[", 
      RowBox[{"cesta", ",", 
       RowBox[{"{", 
        RowBox[{"\"\<Sheets\>\"", ",", "\"\<Data\>\""}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"korelaceregionu", "=", 
     RowBox[{"Drop", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"Drop", "[", 
         RowBox[{"korelaceregionuvstup", ",", "4"}], "]"}], "]"}], ",", "2"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"korelacn\[IAcute]", " ", "matice", " ", "regionu"}], " ", "*)"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"korelaceodvetvi", "=", 
     RowBox[{"Drop", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"Drop", "[", 
         RowBox[{"korelaceodvetvivstup", ",", "4"}], "]"}], "]"}], ",", "2"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"korelacni", " ", "matice", " ", "odvetvi"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"maticeprechoduvcdefaultu", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Drop", "[", 
       RowBox[{
        RowBox[{"Transpose", "[", 
         RowBox[{"Drop", "[", 
          RowBox[{"maticeprechoduvstup", ",", "4"}], "]"}], "]"}], ",", "2"}],
        "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "matice", " ", "prechodu", " ", "mezi", " ", "ratingy", " ", "vcetne", 
     " ", "pravdepodobnosti", " ", "defaultu"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"maticeprechodu", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Drop", "[", 
       RowBox[{
        RowBox[{"Transpose", "[", 
         RowBox[{"Drop", "[", 
          RowBox[{"maticeprechoduvcdefaultu", ",", 
           RowBox[{"-", "1"}]}], "]"}], "]"}], ",", 
        RowBox[{"-", "1"}]}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "matice", " ", "prechodu", " ", "mezi", " ", "ratingy", " ", "bez", " ", 
     "pravdepodobnosti", " ", "defaultu"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pstidefaultu", "=", 
     RowBox[{"Drop", "[", 
      RowBox[{
       RowBox[{"Last", "[", 
        RowBox[{"Transpose", "[", "maticeprechoduvcdefaultu", "]"}], "]"}], 
       ",", 
       RowBox[{"-", "1"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "pravdepodobnosti", " ", "defaultu", " ", "sestupne", " ", "podle", " ", 
     "ratingu"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ratingovestupne", "=", 
     RowBox[{"Drop", "[", 
      RowBox[{
       RowBox[{"First", "[", 
        RowBox[{"Take", "[", 
         RowBox[{"maticeprechoduvstup", ",", 
          RowBox[{"{", "4", "}"}]}], "]"}], "]"}], ",", "2"}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.4299601385625*^9, 3.4299601464375*^9}, {
   3.429960197296875*^9, 3.429960199734375*^9}, {3.429960331828125*^9, 
   3.429960336828125*^9}, {3.429960373453125*^9, 3.4299604845*^9}, {
   3.429960515375*^9, 3.429960537796875*^9}, 3.429960686796875*^9, 
   3.429960718703125*^9, {3.4301941356875*^9, 3.430194153484375*^9}, {
   3.43019437978125*^9, 3.43019442765625*^9}, {3.43019450671875*^9, 
   3.430194530203125*^9}, {3.430194667390625*^9, 3.43019469734375*^9}, 
   3.430195500203125*^9, {3.430195768640625*^9, 3.430195789421875*^9}, {
   3.430196030640625*^9, 3.430196030765625*^9}, {3.430196221546875*^9, 
   3.43019622565625*^9}, {3.43056197890625*^9, 3.4305619794375*^9}, {
   3.430562408765625*^9, 3.4305624616875*^9}, {3.43065939903125*^9, 
   3.43065941815625*^9}, {3.430667919203125*^9, 3.430667919421875*^9}, {
   3.43075791828125*^9, 3.430758137703125*^9}, {3.430758238859375*^9, 
   3.430758255859375*^9}, {3.4307582865625*^9, 3.4307583165*^9}, {
   3.43075838915625*^9, 3.430758427640625*^9}, {3.430758481328125*^9, 
   3.43075850925*^9}, {3.4307585586875*^9, 3.430758586125*^9}, {
   3.43075914871875*^9, 3.430759162546875*^9}, {3.43075920446875*^9, 
   3.430759247328125*^9}, {3.4307603963125*^9, 3.430760401484375*^9}, {
   3.43076043425*^9, 3.43076058896875*^9}, {3.4308216191853743`*^9, 
   3.4308217483103743`*^9}, {3.4308217822791243`*^9, 
   3.4308217942166243`*^9}, {3.4308227046541243`*^9, 3.430822723357249*^9}, 
   3.430823437482249*^9, 3.430823472325999*^9, {3.4309111269375*^9, 
   3.430911151359375*^9}, {3.4310932299375*^9, 3.431093257125*^9}, {
   3.43109334803125*^9, 3.431093386046875*^9}, {3.4310940359375*^9, 
   3.431094036671875*^9}, {3.43114779047775*^9, 3.43114784835275*^9}, {
   3.4311510570715*^9, 3.43115107054025*^9}, {3.43115111485275*^9, 
   3.431151207337125*^9}, {3.43115130485275*^9, 3.43115130735275*^9}, {
   3.4311514003215*^9, 3.431151436024625*^9}, {3.431151492712125*^9, 
   3.43115154766525*^9}, {3.4311518716965*^9, 3.4311518779465*^9}, {
   3.431152126555875*^9, 3.431152181337125*^9}, {3.431152234524625*^9, 
   3.4311523720715*^9}, {3.43115241541525*^9, 3.4311524426965*^9}, {
   3.43115321410275*^9, 3.431153218368375*^9}, {3.43116923454025*^9, 
   3.431169310884*^9}, {3.43117679547775*^9, 3.431176810587125*^9}, {
   3.431615858734375*^9, 3.431615871375*^9}, {3.43211912496875*^9, 
   3.432119136609375*^9}, {3.432919633453125*^9, 3.432919633625*^9}, {
   3.433000508027125*^9, 3.43300051635525*^9}, {3.433002063027125*^9, 
   3.433002063902125*^9}, {3.433002138995875*^9, 3.43300213941775*^9}, {
   3.433007594183375*^9, 3.433007597808375*^9}, {3.43325731565625*^9, 
   3.433257327546875*^9}, {3.433855749125*^9, 3.43385574925*^9}, {
   3.433856582359375*^9, 3.43385658596875*^9}, {3.43408661096875*^9, 
   3.434086616359375*^9}, {3.43560448809375*^9, 3.4356044968125*^9}, {
   3.435604648578125*^9, 3.4356046865*^9}, {3.437566411171875*^9, 
   3.437566436171875*^9}, {3.43758995815625*^9, 3.437589971875*^9}, {
   3.437632884953125*^9, 3.4376329084375*^9}, {3.43767665590625*^9, 
   3.43767666840625*^9}, {3.437742433765625*^9, 3.437742465046875*^9}, {
   3.43774887328125*^9, 3.4377488765625*^9}, {3.437855114515625*^9, 
   3.437855114796875*^9}, {3.43793576425*^9, 3.4379357723125*^9}, {
   3.437935945*^9, 3.437935945265625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "ROZDELENI", " ", "DAT", " ", "DO", " ", "VEKTORU", " ", "PODLE", " ", 
    "TYPU", " ", "INFORMACE"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"data", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Drop", "[", 
       RowBox[{"datavstup", ",", "1"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cerpanacastka", "=", 
     RowBox[{"Map", "[", 
      RowBox[{"IntegerPart", ",", 
       RowBox[{"First", "[", 
        RowBox[{"Take", "[", 
         RowBox[{"data", ",", 
          RowBox[{"{", "2", "}"}]}], "]"}], "]"}]}], "]"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"vektor", " ", "cerpanych", " ", "castek"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"necerpanacastka", "=", 
     RowBox[{"Map", "[", 
      RowBox[{"IntegerPart", ",", 
       RowBox[{"First", "[", 
        RowBox[{"Take", "[", 
         RowBox[{"data", ",", 
          RowBox[{"{", "3", "}"}]}], "]"}], "]"}]}], "]"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"vektor", " ", "necerpanych", " ", "castek"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datumplusrok", "=", 
     RowBox[{"datum", "+", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0"}], "}"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datumotevreni", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Take", "[", 
       RowBox[{
        RowBox[{"Transpose", "[", 
         RowBox[{"First", "[", 
          RowBox[{"Take", "[", 
           RowBox[{"data", ",", 
            RowBox[{"{", "4", "}"}]}], "]"}], "]"}], "]"}], ",", "3"}], "]"}],
       "]"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"vektor", " ", "dat", " ", "otevreni"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datumsplatnosti", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Take", "[", 
       RowBox[{
        RowBox[{"Transpose", "[", 
         RowBox[{"First", "[", 
          RowBox[{"Take", "[", 
           RowBox[{"data", ",", 
            RowBox[{"{", "5", "}"}]}], "]"}], "]"}], "]"}], ",", "3"}], "]"}],
       "]"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"vektor", " ", "dat", " ", "splatnosti"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"typsplatek", "=", 
     RowBox[{"First", "[", 
      RowBox[{"Take", "[", 
       RowBox[{"data", ",", 
        RowBox[{"{", "6", "}"}]}], "]"}], "]"}]}], " ", ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"vektor", " ", "typu", " ", "splatek"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rating", "=", 
     RowBox[{"First", "[", 
      RowBox[{"Take", "[", 
       RowBox[{"data", ",", 
        RowBox[{"{", "8", "}"}]}], "]"}], "]"}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"vektor", " ", "ratingu", " ", "na", " ", "pocatku"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"default", "=", 
     RowBox[{
      RowBox[{"rating", "/.", 
       RowBox[{
        RowBox[{"x_", "/;", 
         RowBox[{"x", "\[Equal]", "\"\<D\>\""}]}], "\[Rule]", "1"}]}], "/.", 
      RowBox[{
       RowBox[{"y_", "/;", 
        RowBox[{"y", "\[NotEqual]", "1"}]}], "\[Rule]", "0"}]}]}], ";"}], " ",
    
   RowBox[{"(*", " ", 
    RowBox[{"indikatory", " ", "defaultu"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"urokovasazba", "=", 
     RowBox[{"First", "[", 
      RowBox[{"Take", "[", 
       RowBox[{"data", ",", 
        RowBox[{"{", "9", "}"}]}], "]"}], "]"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"vektor", " ", "urokovych", " ", "sazeb"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"lgd", "=", 
     RowBox[{"First", "[", 
      RowBox[{"Take", "[", 
       RowBox[{"data", ",", 
        RowBox[{"{", "10", "}"}]}], "]"}], "]"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"vektor", " ", "LGD"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"region", "=", 
     RowBox[{"Map", "[", 
      RowBox[{"IntegerPart", ",", 
       RowBox[{"First", "[", 
        RowBox[{"Take", "[", 
         RowBox[{"data", ",", 
          RowBox[{"{", "11", "}"}]}], "]"}], "]"}]}], "]"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"vektor", " ", "prislusnosti", " ", "k", " ", "regionu"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"odvetvi", "=", 
     RowBox[{"Map", "[", 
      RowBox[{"IntegerPart", ",", 
       RowBox[{"First", "[", 
        RowBox[{"Take", "[", 
         RowBox[{"data", ",", 
          RowBox[{"{", "12", "}"}]}], "]"}], "]"}]}], "]"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"vektor", " ", "prislusnosti", " ", "k", " ", "odvetvi"}], " ", 
    "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.430068915140625*^9, 3.43006897603125*^9}, {
   3.4300690505*^9, 3.4300690695625*^9}, {3.430069184953125*^9, 
   3.43006920496875*^9}, {3.430069258703125*^9, 3.430069333640625*^9}, 
   3.430192702140625*^9, {3.43019274384375*^9, 3.430192924109375*^9}, {
   3.43019301484375*^9, 3.43019305690625*^9}, {3.430193146671875*^9, 
   3.430193270359375*^9}, {3.43019333359375*^9, 3.43019367728125*^9}, {
   3.430193753609375*^9, 3.430193948546875*^9}, {3.430193981484375*^9, 
   3.43019398996875*^9}, {3.430194070515625*^9, 3.430194076203125*^9}, {
   3.430194635*^9, 3.43019463603125*^9}, {3.430195879375*^9, 
   3.430195880234375*^9}, {3.430562307953125*^9, 3.430562343765625*^9}, {
   3.430562377671875*^9, 3.430562394046875*^9}, {3.43056243403125*^9, 
   3.430562435125*^9}, {3.430562661390625*^9, 3.430562661953125*^9}, {
   3.430562856140625*^9, 3.43056288675*^9}, {3.430562942859375*^9, 
   3.430563110578125*^9}, 3.430563246421875*^9, {3.430563585609375*^9, 
   3.43056358728125*^9}, {3.430563814671875*^9, 3.4305638148125*^9}, {
   3.430565864640625*^9, 3.430565868015625*^9}, 3.430659440640625*^9, {
   3.43066148434375*^9, 3.430661536921875*^9}, 3.430821973107249*^9, {
   3.4308227315603743`*^9, 3.4308227391541243`*^9}, {3.430911161046875*^9, 
   3.4309111611875*^9}, {3.4311514854465*^9, 3.431151486618375*^9}, {
   3.431169318368375*^9, 3.43116944160275*^9}, {3.431616789203125*^9, 
   3.431616961921875*^9}, {3.431617672578125*^9, 3.431617677890625*^9}, {
   3.4323979436875*^9, 3.432397945578125*^9}, {3.432399735703125*^9, 
   3.432399744390625*^9}, {3.433355198671875*^9, 3.433355199640625*^9}, {
   3.43385215771875*^9, 3.4338522335*^9}, {3.433852303046875*^9, 
   3.4338523779375*^9}, {3.4338524130625*^9, 3.43385243278125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "NASTAVENI", " ", "HODNOT", " ", "A", " ", "DALSICH", " ", "POMOCNYCH", 
    " ", "PROMENNYCH"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dimenze", "=", 
     RowBox[{"First", "[", 
      RowBox[{"Dimensions", "[", "maticeprechodu", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"jednotkovamatice", "=", 
     RowBox[{"IdentityMatrix", "[", "dimenze", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pocetpohledavek", "=", 
     RowBox[{"Length", "[", 
      RowBox[{"First", "[", "data", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pocetregionu", "=", 
     RowBox[{"First", "[", 
      RowBox[{"Dimensions", "[", "korelaceregionu", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pocetodvetvi", "=", 
     RowBox[{"First", "[", 
      RowBox[{"Dimensions", "[", "korelaceodvetvi", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"castka", "=", 
     RowBox[{"cerpanacastka", "+", 
      RowBox[{"(", 
       RowBox[{"ccf", "*", "necerpanacastka"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    StyleBox[
     RowBox[{"datum", "=", 
      RowBox[{"{", 
       RowBox[{"2005", ",", "10", ",", "1"}], "}"}]}],
     FontColor->RGBColor[1, 0, 0]], ";"}], "  ", 
   RowBox[{"(*", " ", 
    RowBox[{"datum", ",", " ", 
     RowBox[{"ke", " ", "kteremu", " ", "mame", " ", "data"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"dnydosplatnosti", "=", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"DateDifference", "[", 
          RowBox[{"datum", ",", "#"}], "]"}], "&"}], ",", "datumsplatnosti"}],
        "]"}]}], ";"}],
    FontColor->GrayLevel[0]], "\[IndentingNewLine]", 
   RowBox[{
    StyleBox[
     RowBox[{"urok", "=", "0.0196"}],
     FontColor->RGBColor[1, 0, 0]], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{"PRIBOR", " ", "k", " ", "1.10", ".2005"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    StyleBox[
     RowBox[{"ccf", "=", "0.75"}],
     FontColor->RGBColor[1, 0, 0]], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"pocetsimulaci", "=", "5000"}], ";"}],
    FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
   RowBox[{
    StyleBox[
     RowBox[{"Tt", "=", "2"}],
     FontColor->RGBColor[1, 0, 0]], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"horizont", " ", "matice", " ", "prechodu"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    StyleBox[
     RowBox[{"metoda", "=", "1"}],
     FontColor->RGBColor[1, 0, 0]], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"metoda", " ", "vypoctu", " ", "generatoru", " ", "matice"}], 
      ",", "  ", 
      RowBox[{"0", " ", "-", " ", 
       RowBox[{"puvodni", " ", "matice"}]}]}], " ", "*)"}]}]}]}]], "Input",
 CellChangeTimes->{{3.430562630203125*^9, 3.430562691421875*^9}, {
   3.430563333421875*^9, 3.430563419796875*^9}, {3.43056348353125*^9, 
   3.43056348534375*^9}, {3.43056359190625*^9, 3.43056359628125*^9}, {
   3.430661549421875*^9, 3.430661616453125*^9}, {3.430906293046875*^9, 
   3.430906296765625*^9}, {3.43239444715625*^9, 3.432394462578125*^9}, {
   3.432394537046875*^9, 3.43239455328125*^9}, {3.432394643*^9, 
   3.432394645875*^9}, {3.43239494696875*^9, 3.432394950234375*^9}, {
   3.43239520996875*^9, 3.432395299359375*^9}, {3.432395767703125*^9, 
   3.432395777125*^9}, {3.43281950246875*^9, 3.4328195045625*^9}, {
   3.433089130078125*^9, 3.433089140171875*^9}, {3.43327463046875*^9, 
   3.4332746406875*^9}, 3.433274928359375*^9, {3.433274968015625*^9, 
   3.433274968734375*^9}, 3.43327527753125*^9, {3.433275472234375*^9, 
   3.433275473125*^9}, {3.433275789890625*^9, 3.433275791359375*^9}, {
   3.433346343703125*^9, 3.433346343796875*^9}, {3.43335413721875*^9, 
   3.43335413784375*^9}, {3.433355119625*^9, 3.433355120109375*^9}, {
   3.433355213890625*^9, 3.43335531778125*^9}, {3.43335544915625*^9, 
   3.433355449828125*^9}, {3.43335672365625*^9, 3.433356723765625*^9}, {
   3.433356774203125*^9, 3.433356775828125*^9}, {3.43338999896875*^9, 
   3.43339000240625*^9}, {3.433851060734375*^9, 3.433851067*^9}, 
   3.433855601875*^9, 3.433855702671875*^9, {3.433855743359375*^9, 
   3.4338557435*^9}, {3.4338566001875*^9, 3.433856601453125*^9}, {
   3.433857080046875*^9, 3.433857080921875*^9}, {3.433930304203125*^9, 
   3.433930306765625*^9}, {3.43393165928125*^9, 3.433931690203125*^9}, {
   3.433932095765625*^9, 3.433932096265625*^9}, {3.43402778165625*^9, 
   3.4340278379375*^9}, {3.434027940953125*^9, 3.43402795078125*^9}, 
   3.434028124765625*^9, {3.434028207421875*^9, 3.43402822059375*^9}, {
   3.434028267765625*^9, 3.434028490484375*^9}, {3.43402864753125*^9, 
   3.434028680578125*^9}, 3.4340287221875*^9, {3.43404471171875*^9, 
   3.43404471340625*^9}, {3.434044951734375*^9, 3.434044958359375*^9}, {
   3.43408664009375*^9, 3.434086657671875*^9}, {3.43409749296875*^9, 
   3.43409749340625*^9}, {3.434115313265625*^9, 3.43411531403125*^9}, {
   3.434184096265625*^9, 3.4341840975*^9}, {3.434196876828125*^9, 
   3.434196877265625*^9}, {3.43420903178125*^9, 3.434209031859375*^9}, {
   3.435604555765625*^9, 3.435604559359375*^9}, {3.435608348765625*^9, 
   3.435608353*^9}, {3.435608406359375*^9, 3.435608419671875*^9}, {
   3.435610507234375*^9, 3.4356105848125*^9}, {3.435613235734375*^9, 
   3.43561323609375*^9}, {3.43561401003125*^9, 3.43561401146875*^9}, {
   3.435614084078125*^9, 3.435614091296875*^9}, {3.43561446159375*^9, 
   3.4356144675625*^9}, {3.435739204203125*^9, 3.4357392169375*^9}, {
   3.43574203978125*^9, 3.4357421791875*^9}, {3.436937835125*^9, 
   3.43693784734375*^9}, {3.436938238375*^9, 3.436938238921875*^9}, {
   3.4369388310625*^9, 3.436938846921875*^9}, {3.436939125828125*^9, 
   3.4369391279375*^9}, {3.436939385625*^9, 3.43693938690625*^9}, {
   3.43693985525*^9, 3.436939855390625*^9}, {3.43754737065625*^9, 
   3.437547387890625*^9}, {3.437548220625*^9, 3.437548221828125*^9}, {
   3.437550322296875*^9, 3.437550326328125*^9}, {3.437551204109375*^9, 
   3.4375512045*^9}, {3.43755358165625*^9, 3.4375535838125*^9}, {
   3.437554361734375*^9, 3.43755436959375*^9}, {3.437560004171875*^9, 
   3.43756000603125*^9}, {3.437561797375*^9, 3.437561798203125*^9}, {
   3.437562424328125*^9, 3.437562425515625*^9}, {3.437564026796875*^9, 
   3.437564030828125*^9}, {3.43756440396875*^9, 3.437564406140625*^9}, {
   3.437567966578125*^9, 3.437567968921875*^9}, {3.437568132796875*^9, 
   3.43756813984375*^9}, {3.43757108590625*^9, 3.43757111096875*^9}, {
   3.437589800484375*^9, 3.437589832421875*^9}, {3.4375898675*^9, 
   3.437589875046875*^9}, {3.437590260875*^9, 3.4375902701875*^9}, {
   3.437590585453125*^9, 3.4375905889375*^9}, {3.437590678875*^9, 
   3.4375906795*^9}, {3.43759116728125*^9, 3.43759117171875*^9}, {
   3.43759218103125*^9, 3.4375921995*^9}, {3.437592522640625*^9, 
   3.437592527953125*^9}, {3.43763627115625*^9, 3.437636277109375*^9}, {
   3.4376368970625*^9, 3.4376368975*^9}, {3.437637005796875*^9, 
   3.437637005875*^9}, {3.437637363609375*^9, 3.43763736396875*^9}, {
   3.437637627125*^9, 3.437637627265625*^9}, {3.437675957*^9, 
   3.437675963546875*^9}, {3.4376761064375*^9, 3.437676125703125*^9}, {
   3.4376764095625*^9, 3.437676434453125*^9}, {3.4376776738125*^9, 
   3.437677724953125*^9}, {3.437715145453125*^9, 3.437715163046875*^9}, {
   3.437799828390625*^9, 3.43779984465625*^9}, {3.43780687059375*^9, 
   3.43780687109375*^9}, {3.437811489515625*^9, 3.437811491046875*^9}, {
   3.4378178830625*^9, 3.43781788315625*^9}, {3.43782153021875*^9, 
   3.437821530734375*^9}, {3.437825063390625*^9, 3.437825094328125*^9}, {
   3.437826203171875*^9, 3.437826207375*^9}, {3.4378551850625*^9, 
   3.437855224625*^9}, {3.437855623234375*^9, 3.437855628609375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "NASTAVENI", " ", "FUNKCI", " ", "PRO", " ", "VYROBU", " ", "GENERATORU", 
    " ", "MATICE", " ", "PRECHODU"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"irw", "[", "x_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"gen", ",", "Gg", ",", "Bb"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"gen", "=", 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"i", "=", "1"}], "1000"], 
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], 
            RowBox[{"i", "-", "1"}]], "*", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"maticeprechodu", "-", "jednotkovamatice"}], ")"}], 
            "i"]}], "i"]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Which", "[", 
        RowBox[{
         RowBox[{"x", "\[Equal]", "1"}], ",", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"i", "=", "1"}], ",", 
           RowBox[{"i", "\[LessEqual]", "dimenze"}], ",", 
           RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Gg", "=", 
             RowBox[{
              RowBox[{"Abs", "[", 
               RowBox[{"gen", "\[LeftDoubleBracket]", 
                RowBox[{"i", ",", "i"}], "\[RightDoubleBracket]"}], "]"}], 
              "+", 
              RowBox[{
               UnderoverscriptBox["\[Sum]", 
                RowBox[{"l", "=", "1"}], "dimenze"], 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"Boole", "[", 
                  RowBox[{"i", "\[NotEqual]", "l"}], "]"}], "*", 
                 RowBox[{"Max", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"gen", "\[LeftDoubleBracket]", 
                    RowBox[{"i", ",", "l"}], "\[RightDoubleBracket]"}]}], 
                  "]"}]}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Bb", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"l", "=", "1"}], "dimenze"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Boole", "[", 
                 RowBox[{"i", "\[NotEqual]", "l"}], "]"}], "*", 
                RowBox[{"Max", "[", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", 
                   RowBox[{"gen", "\[LeftDoubleBracket]", 
                    RowBox[{"i", ",", "l"}], "\[RightDoubleBracket]"}]}]}], 
                 "]"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"j", "=", "1"}], ",", 
              RowBox[{"j", "\[LessEqual]", "dimenze"}], ",", 
              RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{"Which", "[", 
               RowBox[{
                RowBox[{"And", "[", 
                 RowBox[{
                  RowBox[{"i", "\[NotEqual]", "j"}], ",", 
                  RowBox[{"gen", "\[LeftDoubleBracket]", 
                   RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}]}], 
                 "]"}], ",", 
                RowBox[{
                 RowBox[{"gen", "\[LeftDoubleBracket]", 
                  RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}], "=", 
                 "0"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Gg", ">", "0"}], ",", 
                RowBox[{
                 RowBox[{"gen", "\[LeftDoubleBracket]", 
                  RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}], "=", 
                 RowBox[{
                  RowBox[{"gen", "\[LeftDoubleBracket]", 
                   RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}], "-", 
                  FractionBox[
                   RowBox[{"Bb", "*", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"gen", "\[LeftDoubleBracket]", 
                    RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}], 
                    "]"}]}], "Gg"]}]}], ",", "\[IndentingNewLine]", 
                RowBox[{"Gg", "\[Equal]", "0"}], ",", 
                RowBox[{"Continue", "[", "]"}]}], "]"}]}], "]"}]}]}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"x", "\[Equal]", "2"}], ",", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"i", "=", "1"}], ",", 
           RowBox[{"i", "\[LessEqual]", "dimenze"}], ",", 
           RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"gen", "\[LeftDoubleBracket]", 
              RowBox[{"i", ",", "All"}], "\[RightDoubleBracket]"}], "=", 
             RowBox[{
              RowBox[{"gen", "\[LeftDoubleBracket]", 
               RowBox[{"i", ",", "All"}], "\[RightDoubleBracket]"}], "/.", 
              RowBox[{
               RowBox[{"y_", "/;", 
                RowBox[{"y", "<", "0"}]}], "\[Rule]", "0"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"gen", "\[LeftDoubleBracket]", 
              RowBox[{"i", ",", "i"}], "\[RightDoubleBracket]"}], "=", 
             RowBox[{"Total", "[", 
              RowBox[{"-", 
               RowBox[{"gen", "\[LeftDoubleBracket]", 
                RowBox[{"i", ",", "All"}], "\[RightDoubleBracket]"}]}], 
              "]"}]}]}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       "gen"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"jlt", "[", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "gen", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"gen", "=", "maticeprechodu"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", 
         RowBox[{"i", "\[LessEqual]", "dimenze"}], ",", 
         RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"j", "=", "1"}], ",", 
           RowBox[{"j", "\[LessEqual]", "dimenze"}], ",", 
           RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"i", "\[Equal]", "j"}], ",", 
             RowBox[{
              RowBox[{"gen", "\[LeftDoubleBracket]", 
               RowBox[{"i", ",", "i"}], "\[RightDoubleBracket]"}], "=", 
              RowBox[{"Log", "[", 
               RowBox[{"maticeprechodu", "\[LeftDoubleBracket]", 
                RowBox[{"i", ",", "i"}], "\[RightDoubleBracket]"}], "]"}]}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"gen", "\[LeftDoubleBracket]", 
               RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}], "=", 
              RowBox[{
               RowBox[{"maticeprechodu", "\[LeftDoubleBracket]", 
                RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}], "*", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{"maticeprechodu", "\[LeftDoubleBracket]", 
                  RowBox[{"i", ",", "i"}], "\[RightDoubleBracket]"}], "]"}], 
                "/", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"maticeprechodu", "\[LeftDoubleBracket]", 
                   RowBox[{"i", ",", "i"}], "\[RightDoubleBracket]"}], "-", 
                  "1"}], ")"}]}]}]}]}], "]"}]}], "]"}]}], "]"}], ";", 
       "\[IndentingNewLine]", "gen"}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.435605224765625*^9, 3.435605397484375*^9}, {
   3.435605457328125*^9, 3.435605472046875*^9}, {3.43560551209375*^9, 
   3.435605546203125*^9}, {3.435605585796875*^9, 3.435605677515625*^9}, {
   3.4356057271875*^9, 3.435606012578125*^9}, {3.43560608571875*^9, 
   3.435606096015625*^9}, {3.435606294875*^9, 3.43560634546875*^9}, {
   3.4356063966875*^9, 3.435606459453125*^9}, {3.435606491515625*^9, 
   3.435606517359375*^9}, {3.435606555828125*^9, 3.43560659434375*^9}, {
   3.435606984703125*^9, 3.435607000359375*^9}, {3.435610228375*^9, 
   3.435610229140625*^9}, {3.435610423984375*^9, 3.435610466140625*^9}, {
   3.4356105006875*^9, 3.43561052671875*^9}, {3.4356105643125*^9, 
   3.435610570609375*^9}, {3.43561354809375*^9, 3.43561355140625*^9}, {
   3.43561368459375*^9, 3.435613688859375*^9}, {3.4356137600625*^9, 
   3.435613762859375*^9}, {3.435739255609375*^9, 3.435739373*^9}, {
   3.43573941925*^9, 3.43573949646875*^9}, {3.435739560390625*^9, 
   3.435739794078125*^9}, {3.43573991025*^9, 3.43574005609375*^9}, {
   3.435740095796875*^9, 3.43574010934375*^9}, {3.435740176171875*^9, 
   3.435740190859375*^9}, {3.43574029640625*^9, 3.435740331*^9}, {
   3.435740362765625*^9, 3.435740615515625*^9}, {3.435740692015625*^9, 
   3.435740741375*^9}, {3.43574077246875*^9, 3.4357409780625*^9}, {
   3.435741021578125*^9, 3.435741057*^9}, {3.435741138078125*^9, 
   3.435741183109375*^9}, {3.43574127096875*^9, 3.435741393078125*^9}, {
   3.435741429625*^9, 3.4357415185625*^9}, {3.435741634515625*^9, 
   3.4357416548125*^9}, 3.43574168978125*^9, {3.4357417525625*^9, 
   3.435741760609375*^9}, {3.4357418311875*^9, 3.435742021265625*^9}, {
   3.437569164296875*^9, 3.4375691815625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "VYPOCET", " ", "MATICE", " ", "PRECHODU", " ", "PRO", " ", "HORIZONT", 
    " ", "T"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"generator", "=", 
     RowBox[{"Which", "[", 
      RowBox[{
       RowBox[{"Or", "[", 
        RowBox[{
         RowBox[{"metoda", "\[Equal]", "1"}], ",", 
         RowBox[{"metoda", "\[Equal]", "2"}]}], "]"}], ",", 
       RowBox[{"irw", "[", "metoda", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"metoda", "\[Equal]", "3"}], ",", 
       RowBox[{"jlt", "[", "]"}], ",", 
       RowBox[{"metoda", "\[Equal]", "0"}], ",", "0"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"maticeprechodu2", "=", 
     RowBox[{"jednotkovamatice", "+", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"l", "=", "1"}], "1000"], 
       FractionBox[
        RowBox[{"MatrixPower", "[", 
         RowBox[{
          RowBox[{"Tt", "*", "generator"}], ",", "l"}], "]"}], 
        RowBox[{"l", "!"}]]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pstidefaultu2", "=", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"1", "-", 
         RowBox[{"Total", "[", "#", "]"}]}], "&"}], ",", "maticeprechodu2"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"maticeprechoduvcdefaultu2", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"Transpose", "[", 
         RowBox[{"Join", "[", 
          RowBox[{"maticeprechodu2", ",", 
           RowBox[{"{", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", "dimenze", "}"}]}], "]"}], "}"}]}], "]"}], "]"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"AppendTo", "[", 
          RowBox[{"pstidefaultu2", ",", "1"}], "]"}], "}"}]}], "]"}], "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"metoda", "\[NotEqual]", "0"}], ",", 
      RowBox[{"maticeprechodu", "=", "maticeprechodu2"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"metoda", "\[NotEqual]", "0"}], ",", 
      RowBox[{"pstidefaultu", "=", "pstidefaultu2"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"metoda", "\[NotEqual]", "0"}], ",", 
      RowBox[{
      "maticeprechoduvcdefaultu", "=", "maticeprechoduvcdefaultu2"}]}], "]"}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{{3.43574152453125*^9, 3.435741630578125*^9}, {
  3.43574169775*^9, 3.435741736984375*^9}, {3.435741775203125*^9, 
  3.43574181778125*^9}, {3.437855288375*^9, 3.4378553271875*^9}, {
  3.437855375578125*^9, 3.43785546721875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "VYROBA", " ", "POMOCNE", " ", "MATICE", " ", "PRO", " ", "VYPOCET", " ", 
    "KORELACNI", " ", "MATICE"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"nulovamatice", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", "pocetregionu", "}"}], ",", 
       RowBox[{"{", "pocetodvetvi", "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pomocnamatice1", "=", 
     RowBox[{"MapThread", "[", 
      RowBox[{"Join", ",", 
       RowBox[{"{", 
        RowBox[{"korelaceregionu", ",", "nulovamatice"}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pomocnamatice2", "=", 
     RowBox[{"MapThread", "[", 
      RowBox[{"Join", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Transpose", "[", "nulovamatice", "]"}], ",", 
         "korelaceodvetvi"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"souhrnnamatice", "=", 
     RowBox[{"Join", "[", 
      RowBox[{"pomocnamatice1", ",", "pomocnamatice2"}], "]"}]}], 
    ";"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "VYROBA", " ", "MATICE", " ", "PRISLUSNOSTI", " ", "K", " ", "REGIONUM", 
    " ", "A", " ", "ODVETVIM"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"reg", "=", 
     RowBox[{"NestList", "[", 
      RowBox[{"Join", ",", "region", ",", 
       RowBox[{"pocetregionu", "-", "1"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"odv", "=", 
     RowBox[{"NestList", "[", 
      RowBox[{"Join", ",", "odvetvi", ",", 
       RowBox[{"pocetodvetvi", "-", "1"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", 
      RowBox[{"i", "\[LessEqual]", "pocetregionu"}], ",", 
      RowBox[{"i", "++"}], ",", 
      RowBox[{
       RowBox[{"reg", "\[LeftDoubleBracket]", 
        RowBox[{"i", ",", "All"}], "\[RightDoubleBracket]"}], "=", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"reg", "\[LeftDoubleBracket]", 
           RowBox[{"i", ",", "All"}], "\[RightDoubleBracket]"}], "/.", 
          RowBox[{"i", "\[Rule]", "\"\<a\>\""}]}], "/.", 
         RowBox[{"x_Integer", "\[Rule]", "0"}]}], "/.", 
        RowBox[{"\"\<a\>\"", "\[Rule]", "1"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", 
      RowBox[{"i", "\[LessEqual]", "pocetodvetvi"}], ",", 
      RowBox[{"i", "++"}], ",", 
      RowBox[{
       RowBox[{"odv", "\[LeftDoubleBracket]", 
        RowBox[{"i", ",", "All"}], "\[RightDoubleBracket]"}], "=", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"odv", "\[LeftDoubleBracket]", 
           RowBox[{"i", ",", "All"}], "\[RightDoubleBracket]"}], "/.", 
          RowBox[{"i", "\[Rule]", "\"\<a\>\""}]}], "/.", 
         RowBox[{"x_Integer", "\[Rule]", "0"}]}], "/.", 
        RowBox[{"\"\<a\>\"", "\[Rule]", "1"}]}]}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"maticeprislusnosti", "=", 
     RowBox[{"Join", "[", 
      RowBox[{"reg", ",", "odv"}], "]"}]}], ";"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"VYPOCET", " ", "VYSLEDNE", " ", "KORELACNI", " ", "MATICE"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"maticekorelaci", "=", 
     RowBox[{
      RowBox[{"Transpose", "[", "maticeprislusnosti", "]"}], ".", 
      "souhrnnamatice", ".", "maticeprislusnosti"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", 
      RowBox[{"i", "\[LessEqual]", "pocetpohledavek"}], ",", 
      RowBox[{"i", "++"}], ",", 
      RowBox[{
       RowBox[{"maticekorelaci", "\[LeftDoubleBracket]", 
        RowBox[{"i", ",", "i"}], "\[RightDoubleBracket]"}], "=", "1"}]}], 
     "]"}], ";"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"CHOLESKEHO", " ", "ROZKLAD", " ", "KORELACNI", " ", "MATICE"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"choleski", "=", 
    RowBox[{"Transpose", "[", 
     RowBox[{"CholeskyDecomposition", "[", "maticekorelaci", "]"}], "]"}]}], 
   ";"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "NASTAVENI", " ", "FUNKCE", " ", "PRO", " ", "URCENI", " ", "NOVEHO", " ", 
    "RATINGU"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"generovaniratingu", "[", "matprvcdef_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "nahvektor", ",", "nahodnyvektor", ",", "kumulativnihodnoty", ",", 
        "kumulativnimaticeprechodu", ",", "newrating", ",", "radek", ",", 
        "vyhledani", ",", "pozice"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{"GENEROVANI", " ", "NAHODNEHO", " ", "VEKTORU"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nahvektor", "=", 
        RowBox[{"RandomReal", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", "]"}], ",", "pocetpohledavek"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"nahodnyvektor", "=", 
        RowBox[{"choleski", ".", "nahvektor"}]}], ";", "\[IndentingNewLine]", 
       
       RowBox[{"kumulativnihodnoty", "=", 
        RowBox[{"CDF", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", "]"}], ",", "nahodnyvektor"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "VYPOCET", " ", "KUMULATIVNI", " ", "MATICE", " ", "PRECHODU"}], 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{"kumulativnimaticeprechodu", "=", 
        RowBox[{"Map", "[", 
         RowBox[{"Reverse", ",", 
          RowBox[{"Map", "[", 
           RowBox[{"Accumulate", ",", 
            RowBox[{"Map", "[", 
             RowBox[{"Reverse", ",", "matprvcdef"}], "]"}]}], "]"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"URCENI", " ", "NOVEHO", " ", "RATINGU"}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"newrating", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"\"\<\>\"", ",", 
          RowBox[{"{", "pocetpohledavek", "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", 
         RowBox[{"i", "\[LessEqual]", "pocetpohledavek"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{
          RowBox[{"radek", "=", 
           RowBox[{"First", "[", 
            RowBox[{"First", "[", 
             RowBox[{"Position", "[", 
              RowBox[{"ratingovestupne", ",", 
               RowBox[{
               "rating", "\[LeftDoubleBracket]", "i", 
                "\[RightDoubleBracket]"}]}], "]"}], "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"vyhledani", "=", 
           RowBox[{
            RowBox[{"kumulativnimaticeprechodu", "\[LeftDoubleBracket]", 
             RowBox[{"radek", ",", "All"}], "\[RightDoubleBracket]"}], "/.", 
            RowBox[{
             RowBox[{"x_", "/;", 
              RowBox[{"x", ">", 
               RowBox[{
               "kumulativnihodnoty", "\[LeftDoubleBracket]", "i", 
                "\[RightDoubleBracket]"}]}]}], "\[Rule]", 
             "\"\<True\>\""}]}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"pozice", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Last", "[", 
             RowBox[{"Position", "[", 
              RowBox[{"vyhledani", ",", "\"\<True\>\""}], "]"}], "]"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
           "newrating", "\[LeftDoubleBracket]", "i", 
            "\[RightDoubleBracket]"}], "=", 
           RowBox[{
           "ratingovestupne", "\[LeftDoubleBracket]", "pozice", 
            "\[RightDoubleBracket]"}]}]}]}], "]"}], ";", 
       "\[IndentingNewLine]", "newrating"}]}], "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.433272845640625*^9, 3.433273022953125*^9}, {
   3.43327305546875*^9, 3.433273248078125*^9}, {3.433273304375*^9, 
   3.433273350703125*^9}, {3.43327339171875*^9, 3.43327340771875*^9}, {
   3.433273449078125*^9, 3.433273449703125*^9}, {3.43327349109375*^9, 
   3.43327354809375*^9}, {3.433273712859375*^9, 3.433273722828125*^9}, 
   3.433273786484375*^9, {3.433347498859375*^9, 3.4333475948125*^9}, {
   3.433831065609375*^9, 3.43383107721875*^9}, {3.433832356953125*^9, 
   3.43383237053125*^9}, {3.43408677721875*^9, 3.434086847171875*^9}, {
   3.4341151489375*^9, 3.434115149234375*^9}, {3.435610664234375*^9, 
   3.4356106855*^9}, {3.43755216684375*^9, 3.437552180078125*^9}, {
   3.43755245440625*^9, 3.437552459234375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "NASTAVENI", " ", "FUNKCE", " ", "PRO", " ", "VYPOCET", " ", "SOUCASNE", 
    " ", "HODNOTY", " ", "POHLEDAVKY"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"pvJ", "[", 
     RowBox[{"r_", ",", "i_", ",", "k_", ",", "d_"}], "]"}], ":=", 
    RowBox[{"d", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox[
        RowBox[{"1", "+", "i"}], 
        RowBox[{"1", "+", "urok", "+", "r"}]], ")"}], 
      FractionBox["k", "365"]]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pvP", "[", 
     RowBox[{"r_", ",", "i_", ",", "k_", ",", "d_"}], "]"}], ":=", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"j", "=", "1"}], "k"], 
     RowBox[{"(", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "i"}], ")"}], 
            FractionBox["1", "365"]], "-", "1"}], ")"}], " ", 
         FractionBox[
          RowBox[{"k", "-", "j", "+", "1"}], "k"], " ", "d"}], "+", 
        FractionBox["d", "k"], " "}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "urok", "+", "r"}], ")"}], 
        FractionBox["j", "365"]]], ")"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pvdef", "[", 
     RowBox[{"l_", ",", "d_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "l"}], ")"}], " ", "d"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fvJ", "[", 
     RowBox[{"r_", ",", "i_", ",", "k_", ",", "d_", ",", "w_"}], "]"}], ":=", 
    
    RowBox[{"d", " ", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "i"}], ")"}], 
       FractionBox["k", "365"]], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "urok", "+", "r"}], ")"}], 
       RowBox[{"Max", "[", 
        RowBox[{
         RowBox[{
          FractionBox["k", "365"], "-", "w"}], ",", "0"}], "]"}]]]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fvP", "[", 
     RowBox[{"r_", ",", "i_", ",", "k_", ",", "d_", ",", "w_"}], "]"}], ":=", 
    
    RowBox[{
     RowBox[{
      UnderoverscriptBox["\[Sum]", 
       RowBox[{"j", "=", "1"}], 
       RowBox[{"Ceiling", "[", 
        RowBox[{"Min", "[", 
         RowBox[{"k", ",", 
          RowBox[{"w", " ", "365"}]}], "]"}], "]"}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "i"}], ")"}], 
            FractionBox["1", "365"]], "-", "1"}], ")"}], " ", 
         FractionBox[
          RowBox[{"k", "-", "j", "+", "1"}], "k"], " ", "d"}], "+", 
        FractionBox["d", "k"]}], ")"}]}], " ", "+", 
     RowBox[{
      UnderoverscriptBox["\[Sum]", 
       RowBox[{"j", "=", 
        RowBox[{"Ceiling", "[", 
         RowBox[{"w", " ", "366"}], "]"}]}], "k"], 
      RowBox[{"(", 
       FractionBox[
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "+", "i"}], ")"}], 
             FractionBox["1", "365"]], "-", "1"}], ")"}], " ", 
          FractionBox[
           RowBox[{"k", "-", "j", "+", "1"}], "k"], " ", "d"}], "+", 
         FractionBox["d", "k"], " "}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", "urok", "+", "r"}], ")"}], 
         RowBox[{
          FractionBox["j", "365"], "-", "w"}]]], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fvJdef", "[", 
     RowBox[{"i_", ",", "k_", ",", "l_", ",", "d_", ",", "w_"}], "]"}], ":=", 
    
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "l"}], ")"}], " ", "d", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "i"}], ")"}], 
      FractionBox[
       RowBox[{"Min", "[", 
        RowBox[{
         FractionBox["k", "365"], ",", "w"}], "]"}], "2"]]}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fvPdef", "[", 
     RowBox[{"i_", ",", "k_", ",", "l_", ",", "d_", ",", "w_"}], "]"}], ":=", 
    
    RowBox[{
     RowBox[{
      UnderoverscriptBox["\[Sum]", 
       RowBox[{"j", "=", "1"}], 
       RowBox[{"Ceiling", "[", 
        RowBox[{"Min", "[", 
         RowBox[{
          FractionBox["k", "2"], ",", 
          FractionBox[
           RowBox[{"w", " ", "365"}], "2"]}], "]"}], "]"}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "i"}], ")"}], 
            FractionBox["1", "365"]], "-", "1"}], ")"}], " ", 
         FractionBox[
          RowBox[{"k", "-", "j", "+", "1"}], "k"], " ", "d"}], "+", 
        FractionBox["d", "k"]}], ")"}]}], " ", "+", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "l"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"k", "-", 
           RowBox[{"Ceiling", "[", 
            RowBox[{"Min", "[", 
             RowBox[{
              FractionBox["k", "2"], ",", 
              FractionBox[
               RowBox[{"w", " ", "365"}], "2"]}], "]"}], "]"}]}], "k"], " ", 
         "d"}], ")"}]}], ")"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.43352814503125*^9, 3.433528235078125*^9}, {
   3.433528285296875*^9, 3.433528327609375*^9}, {3.433528383390625*^9, 
   3.433528388015625*^9}, {3.433528418734375*^9, 3.43352867809375*^9}, {
   3.433528741625*^9, 3.433528760171875*^9}, {3.433528829921875*^9, 
   3.43352918159375*^9}, {3.43352922596875*^9, 3.43352936421875*^9}, {
   3.4338217085625*^9, 3.4338217735625*^9}, {3.433821804703125*^9, 
   3.433821835484375*^9}, {3.43382206459375*^9, 3.433822089015625*^9}, {
   3.43382219575*^9, 3.433822214625*^9}, {3.433822251328125*^9, 
   3.433822290921875*^9}, {3.433822486046875*^9, 3.43382251221875*^9}, {
   3.43382398265625*^9, 3.433823996765625*^9}, {3.43382425175*^9, 
   3.433824280625*^9}, {3.433824383328125*^9, 3.43382443775*^9}, {
   3.433830008265625*^9, 3.433830047546875*^9}, {3.433831916328125*^9, 
   3.433831980703125*^9}, {3.433848697984375*^9, 3.43384869996875*^9}, {
   3.4338546029375*^9, 3.433854707671875*^9}, {3.43402904378125*^9, 
   3.4340290508125*^9}, {3.434029281109375*^9, 3.43402929109375*^9}, {
   3.434029374515625*^9, 3.43402990175*^9}, {3.434029942828125*^9, 
   3.434030027*^9}, {3.43403006209375*^9, 3.43403006471875*^9}, {
   3.43403009853125*^9, 3.434030120078125*^9}, {3.43403016990625*^9, 
   3.434030183578125*^9}, {3.434030248578125*^9, 3.43403027171875*^9}, {
   3.434030313875*^9, 3.43403031971875*^9}, {3.4340303529375*^9, 
   3.43403040896875*^9}, {3.434030545390625*^9, 3.43403054953125*^9}, {
   3.434040444703125*^9, 3.43404044759375*^9}, 3.43404051934375*^9, {
   3.434040552671875*^9, 3.43404072390625*^9}, 3.434040768203125*^9, {
   3.434040857375*^9, 3.434040858578125*^9}, {3.4340409103125*^9, 
   3.43404091346875*^9}, {3.434040957203125*^9, 3.434040968671875*^9}, {
   3.434041109609375*^9, 3.434041117046875*^9}, {3.434041231734375*^9, 
   3.43404123478125*^9}, {3.434041290171875*^9, 3.4340412941875*^9}, {
   3.43404173153125*^9, 3.43404177159375*^9}, {3.434042031796875*^9, 
   3.434042079828125*^9}, {3.4340421141875*^9, 3.4340421163125*^9}, {
   3.434042151140625*^9, 3.43404217690625*^9}, {3.4340422231875*^9, 
   3.434042253515625*^9}, {3.434042285015625*^9, 3.434042377953125*^9}, {
   3.434042471421875*^9, 3.434042541140625*^9}, {3.435611628015625*^9, 
   3.435611629171875*^9}, {3.435611702328125*^9, 3.435611718296875*^9}, {
   3.43561174859375*^9, 3.435611758796875*^9}, {3.435611807125*^9, 
   3.4356118361875*^9}, {3.435611875046875*^9, 3.43561189415625*^9}, {
   3.4356126679375*^9, 3.435612766515625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "NASTAVENI", " ", "HLAVNI", " ", "FUNKCE", " ", "PRO", " ", "VYPOCET", " ",
     "HODNOTY", " ", "PORTFOLIA"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"hlavnivypocet", "[", 
    RowBox[{"cas_", ",", "rtg_", ",", "matprech_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "jednotkovyvektor", ",", "inverznimatice", ",", "rizikovaprirazka", ",",
        "Kk", ",", "Rr", ",", "mocninamaticeprechodu", ",", "rozdilmatic", 
       ",", "icastka", ",", "ilgd", ",", "itypsplatek", ",", "iurokovasazba", 
       ",", "idefault", ",", 
       RowBox[{"hodnotapohledavky", "=", "0"}], ",", 
       RowBox[{"hodnotaportfolia", "=", "0"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"jednotkovyvektor", "=", 
       RowBox[{"Table", "[", 
        RowBox[{"1", ",", 
         RowBox[{"{", 
          RowBox[{"Length", "[", "pstidefaultu", "]"}], "}"}]}], "]"}]}], ";",
       "\[IndentingNewLine]", 
      RowBox[{"inverznimatice", "=", 
       RowBox[{"Inverse", "[", 
        RowBox[{"jednotkovamatice", "-", "matprech"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", 
        RowBox[{"i", "\[LessEqual]", "pocetpohledavek"}], ",", 
        RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"VYPOCET", " ", "RIZIKOVE", " ", "PRIRAZKY"}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Kk", "=", 
          RowBox[{
          "dnydosplatnosti", "\[LeftDoubleBracket]", "i", 
           "\[RightDoubleBracket]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"Rr", "=", 
          RowBox[{"t", "*", 
           RowBox[{"Kk", "/", "365"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"mocninamaticeprechodu", "=", 
          RowBox[{"MatrixPower", "[", 
           RowBox[{"matprech", ",", "Rr"}], "]"}]}], ";", 
         RowBox[{"rozdilmatic", "=", 
          RowBox[{"jednotkovamatice", "-", "mocninamaticeprechodu"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"Which", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
            "rtg", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "\[Equal]", "\"\<D\>\""}], ",", 
           RowBox[{"rizikovaprirazka", "=", "\"\<default\>\""}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Kk", "\[Equal]", "0"}], ",", 
           RowBox[{"rizikovaprirazka", "=", "0"}], ",", "\[IndentingNewLine]",
            
           RowBox[{
            RowBox[{
            "typsplatek", "\[LeftDoubleBracket]", "i", 
             "\[RightDoubleBracket]"}], "\[Equal]", "\"\<J\>\""}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"jednorazove", " ", "splatne", " ", "uvery"}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"rizikovaprirazka", "=", 
            RowBox[{"First", "[", 
             RowBox[{"Take", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"rozdilmatic", ".", "jednotkovyvektor"}], ")"}], "/",
                 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                   "maticeprechodu", ".", "rozdilmatic", ".", 
                    "inverznimatice", ".", "jednotkovyvektor"}], ")"}], "+", 
                  RowBox[{"(", 
                   RowBox[{"0.5", "*", 
                    RowBox[{"(", 
                    RowBox[{"rozdilmatic", ".", "jednotkovyvektor"}], ")"}]}],
                    ")"}]}], ")"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"First", "[", 
                 RowBox[{"First", "[", 
                  RowBox[{"Position", "[", 
                   RowBox[{"ratingovestupne", ",", 
                    RowBox[{
                    "rtg", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}]}], "]"}], "]"}], "]"}], "}"}]}],
               "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "typsplatek", "\[LeftDoubleBracket]", "i", 
             "\[RightDoubleBracket]"}], "\[Equal]", "\"\<P\>\""}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"postupne", " ", "splatne", " ", "uvery"}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"rizikovaprirazka", "=", 
            RowBox[{"Module", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"Aa", ",", "Bb"}], "}"}], ",", 
              RowBox[{
               RowBox[{"Aa", "=", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "/", 
                   RowBox[{"(", 
                    RowBox[{"2", "*", "Rr"}], ")"}]}], ")"}], "*", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "*", "Rr"}], "+", "1"}], ")"}], "*", 
                    "jednotkovamatice"}], "-", "mocninamaticeprechodu", "-", 
                    RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"rozdilmatic", ".", "inverznimatice"}]}], ")"}]}],
                    ")"}], ".", "inverznimatice"}]}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"Bb", "=", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "/", 
                   RowBox[{"(", 
                    RowBox[{"6", "*", "Rr"}], ")"}]}], ")"}], "*", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"3", "*", "Rr"}], "+", "2"}], ")"}], "*", 
                    "jednotkovamatice"}], "-", 
                   RowBox[{"(", 
                    RowBox[{"2", "*", "mocninamaticeprechodu"}], ")"}], "-", 
                   RowBox[{"(", 
                    RowBox[{"3", "*", 
                    RowBox[{"rozdilmatic", ".", "inverznimatice"}]}], ")"}]}],
                   ")"}]}]}], ";", 
               RowBox[{"First", "[", 
                RowBox[{"Take", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "/", 
                    RowBox[{"(", 
                    RowBox[{"2", "*", "Rr"}], ")"}]}], ")"}], "*", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "*", "Rr"}], "+", "1"}], ")"}], "*", 
                    "rozdilmatic"}], "-", 
                    RowBox[{"(", 
                    RowBox[{"2", "*", 
                    RowBox[{"rozdilmatic", ".", "inverznimatice"}]}], ")"}], 
                    "+", 
                    RowBox[{"2", "*", "Rr", "*", "mocninamaticeprechodu"}]}], 
                    ")"}], ".", "jednotkovyvektor"}]}], ")"}], "/", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"Aa", "+", "Bb"}], ")"}], ".", 
                    "jednotkovyvektor"}], ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{"First", "[", 
                    RowBox[{"First", "[", 
                    RowBox[{"Position", "[", 
                    RowBox[{"ratingovestupne", ",", 
                    RowBox[{
                    "rtg", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}]}], "]"}], "]"}], "]"}], "}"}]}],
                  "]"}], "]"}]}]}], "]"}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
          "VYPOCET", " ", "SOUCASNE", " ", "HODNOTY", " ", "POHLEDAVKY"}], 
          "*)"}], "\[IndentingNewLine]", 
         RowBox[{"icastka", "=", 
          RowBox[{
          "castka", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"ilgd", "=", 
          RowBox[{
          "lgd", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"itypsplatek", "=", 
          RowBox[{
          "typsplatek", "\[LeftDoubleBracket]", "i", 
           "\[RightDoubleBracket]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"iurokovasazba", "=", 
          RowBox[{
          "urokovasazba", "\[LeftDoubleBracket]", "i", 
           "\[RightDoubleBracket]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"idefault", "=", 
          RowBox[{
          "default", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}],
          ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"cas", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{"rizikovaprirazka", "\[Equal]", "\"\<default\>\""}], ",",
              
             RowBox[{"hodnotapohledavky", "=", 
              RowBox[{"pvdef", "[", 
               RowBox[{"ilgd", ",", "icastka"}], "]"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"itypsplatek", "\[Equal]", "\"\<J\>\""}], ",", 
             RowBox[{"hodnotapohledavky", "=", 
              RowBox[{"pvJ", "[", 
               RowBox[{
               "rizikovaprirazka", ",", "iurokovasazba", ",", "Kk", ",", 
                "icastka"}], "]"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{"itypsplatek", "\[Equal]", "\"\<P\>\""}], ",", 
             RowBox[{"hodnotapohledavky", "=", 
              RowBox[{"pvP", "[", 
               RowBox[{
               "rizikovaprirazka", ",", "iurokovasazba", ",", "Kk", ",", 
                "icastka"}], "]"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"itypsplatek", "\[Equal]", "\"\<J\>\""}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"rizikovaprirazka", "\[Equal]", "\"\<default\>\""}], 
               ",", 
               RowBox[{"hodnotapohledavky", "=", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "-", "idefault"}], ")"}], "*", 
                  RowBox[{"fvJdef", "[", 
                   RowBox[{
                   "iurokovasazba", ",", "Kk", ",", "ilgd", ",", "icastka", 
                    ",", "t"}], "]"}]}], "+", 
                 RowBox[{"(", 
                  RowBox[{"idefault", "*", 
                   RowBox[{"pvdef", "[", 
                    RowBox[{"ilgd", ",", "icastka"}], "]"}]}], ")"}]}]}], ",",
                "\[IndentingNewLine]", 
               RowBox[{"hodnotapohledavky", "=", 
                RowBox[{"fvJ", "[", 
                 RowBox[{
                 "rizikovaprirazka", ",", "iurokovasazba", ",", "Kk", ",", 
                  "icastka", ",", "t"}], "]"}]}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"rizikovaprirazka", "\[Equal]", "\"\<default\>\""}], 
               ",", 
               RowBox[{"hodnotapohledavky", "=", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"1", "-", "idefault"}], ")"}], "*", 
                  RowBox[{"fvPdef", "[", 
                   RowBox[{
                   "iurokovasazba", ",", "Kk", ",", "ilgd", ",", "icastka", 
                    ",", "t"}], "]"}]}], "+", 
                 RowBox[{"(", 
                  RowBox[{"idefault", "*", 
                   RowBox[{"pvdef", "[", 
                    RowBox[{"ilgd", ",", "icastka"}], "]"}]}], ")"}]}]}], ",",
                "\[IndentingNewLine]", 
               RowBox[{"hodnotapohledavky", "=", 
                RowBox[{"fvP", "[", 
                 RowBox[{
                 "rizikovaprirazka", ",", "iurokovasazba", ",", "Kk", ",", 
                  "icastka", ",", "t"}], "]"}]}]}], "]"}]}], "]"}]}], "]"}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
          "PRIPOCTENI", " ", "HODNOTY", " ", "POHLEDAVKY", " ", "K", " ", 
           "HODNOTE", " ", "PORTFOLIA"}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"hodnotaportfolia", "+=", "hodnotapohledavky"}]}]}], "]"}], 
      ";", "\[IndentingNewLine]", "hodnotaportfolia"}]}], "]"}]}]}]], "Input",\

 CellChangeTimes->{{3.43090670734375*^9, 3.4309067166875*^9}, {
   3.430906754625*^9, 3.430906817703125*^9}, {3.430906862765625*^9, 
   3.430907019703125*^9}, {3.430907050625*^9, 3.43090712428125*^9}, {
   3.4309072234375*^9, 3.4309073128125*^9}, {3.4309073641875*^9, 
   3.430907438875*^9}, {3.43090748559375*^9, 3.43090750225*^9}, {
   3.43090755990625*^9, 3.4309078735625*^9}, {3.43090793209375*^9, 
   3.4309080205625*^9}, {3.430908183125*^9, 3.430908263703125*^9}, {
   3.4309082944375*^9, 3.430908402421875*^9}, {3.43090843846875*^9, 
   3.430908452625*^9}, {3.430908486515625*^9, 3.430908519671875*^9}, {
   3.430908562140625*^9, 3.430908567234375*^9}, {3.430908610484375*^9, 
   3.43090862534375*^9}, {3.43090867990625*^9, 3.430908715421875*^9}, {
   3.4309112211875*^9, 3.43091151284375*^9}, {3.430911548328125*^9, 
   3.4309115748125*^9}, {3.4309116245625*^9, 3.430911650875*^9}, {
   3.430916509265625*^9, 3.430916612578125*^9}, {3.43091684871875*^9, 
   3.430917011015625*^9}, {3.430917052421875*^9, 3.430917121140625*^9}, {
   3.4309171845*^9, 3.43091722784375*^9}, {3.431094512671875*^9, 
   3.431094536171875*^9}, {3.43109457253125*^9, 3.431094586828125*^9}, {
   3.43109467546875*^9, 3.4310946858125*^9}, {3.431094736*^9, 
   3.431094740703125*^9}, {3.431095007328125*^9, 3.431095009015625*^9}, {
   3.43109540053125*^9, 3.43109540753125*^9}, {3.43109546803125*^9, 
   3.43109547953125*^9}, {3.431095523625*^9, 3.43109568171875*^9}, 
   3.431095764703125*^9, {3.43109624984375*^9, 3.43109628*^9}, {
   3.431096740453125*^9, 3.43109678628125*^9}, {3.431096898296875*^9, 
   3.43109689909375*^9}, {3.43109693078125*^9, 3.43109695896875*^9}, {
   3.431097000515625*^9, 3.431097008796875*^9}, {3.431098616515625*^9, 
   3.43109863321875*^9}, {3.431099116015625*^9, 3.43109924140625*^9}, {
   3.43109927725*^9, 3.431099308625*^9}, {3.431099952*^9, 
   3.43109999146875*^9}, {3.431148172649625*^9, 3.431148208118375*^9}, {
   3.431148244259*^9, 3.431148271993375*^9}, {3.43115252554025*^9, 
   3.43115263835275*^9}, {3.431152759837125*^9, 3.431152765024625*^9}, {
   3.43115312979025*^9, 3.431153130837125*^9}, {3.431153252837125*^9, 
   3.431153300680875*^9}, {3.431153740493375*^9, 3.431153744899625*^9}, {
   3.43115379235275*^9, 3.4311538049465*^9}, {3.431153938962125*^9, 
   3.43115396041525*^9}, {3.43115428360275*^9, 3.431154295805875*^9}, {
   3.431169833259*^9, 3.431169834555875*^9}, {3.43117599204025*^9, 
   3.431176074837125*^9}, {3.431176391399625*^9, 3.431176459134*^9}, {
   3.431176509805875*^9, 3.431176573493375*^9}, {3.431615811625*^9, 
   3.431615825296875*^9}, {3.4321192465*^9, 3.432119324578125*^9}, {
   3.432119371828125*^9, 3.432119461375*^9}, {3.432119510578125*^9, 
   3.4321195255625*^9}, {3.43211955775*^9, 3.43211955865625*^9}, 
   3.4321195889375*^9, 3.432121830359375*^9, {3.432121861140625*^9, 
   3.43212192653125*^9}, {3.43212195875*^9, 3.432121963171875*^9}, {
   3.43212217709375*^9, 3.432122211984375*^9}, {3.4321223501875*^9, 
   3.43212239315625*^9}, {3.4322086846875*^9, 3.432208685890625*^9}, {
   3.432208891265625*^9, 3.432208984140625*^9}, {3.432209022*^9, 
   3.432209105828125*^9}, {3.432209144234375*^9, 3.43220914725*^9}, {
   3.4322091901875*^9, 3.43220935003125*^9}, {3.432209394171875*^9, 
   3.432209454671875*^9}, {3.432209558203125*^9, 3.43220962178125*^9}, {
   3.432209677671875*^9, 3.43220969803125*^9}, {3.43220976271875*^9, 
   3.432209780640625*^9}, {3.43220984378125*^9, 3.432209877703125*^9}, {
   3.43220991275*^9, 3.43220991515625*^9}, {3.432210003109375*^9, 
   3.432210059484375*^9}, {3.432210103296875*^9, 3.432210139546875*^9}, {
   3.432210191125*^9, 3.43221024053125*^9}, {3.432210329203125*^9, 
   3.432210344703125*^9}, {3.4322104360625*^9, 3.432210480453125*^9}, {
   3.43221056509375*^9, 3.432210568765625*^9}, {3.43221060940625*^9, 
   3.432210631390625*^9}, {3.432210801828125*^9, 3.4322108720625*^9}, {
   3.432211001828125*^9, 3.43221107034375*^9}, {3.432211102484375*^9, 
   3.432211110421875*^9}, {3.43221116125*^9, 3.43221118684375*^9}, {
   3.43221122303125*^9, 3.432211471046875*^9}, {3.43221150996875*^9, 
   3.43221154703125*^9}, {3.432211615765625*^9, 3.43221169334375*^9}, {
   3.432309321875*^9, 3.432309355140625*^9}, {3.432309504078125*^9, 
   3.432309534734375*^9}, {3.432309655109375*^9, 3.43230971359375*^9}, {
   3.43230977125*^9, 3.432309921734375*^9}, {3.4323099673125*^9, 
   3.4323101051875*^9}, {3.43231076109375*^9, 3.4323107745625*^9}, {
   3.43231093609375*^9, 3.432310955421875*^9}, {3.432311204265625*^9, 
   3.432311205296875*^9}, {3.432311268984375*^9, 3.432311274953125*^9}, {
   3.43231130646875*^9, 3.43231135640625*^9}, {3.432311404640625*^9, 
   3.432311449015625*^9}, {3.43231148065625*^9, 3.432311481125*^9}, {
   3.43231153359375*^9, 3.432311566390625*^9}, {3.432311598734375*^9, 
   3.432311598859375*^9}, {3.43231175175*^9, 3.432311767375*^9}, {
   3.43231198171875*^9, 3.43231221490625*^9}, 3.4323125490625*^9, {
   3.432312606875*^9, 3.43231262053125*^9}, 3.432312657703125*^9, {
   3.43231273128125*^9, 3.432312737375*^9}, {3.432313121359375*^9, 
   3.432313123046875*^9}, {3.432313253953125*^9, 3.432313268859375*^9}, {
   3.43231393875*^9, 3.43231396978125*^9}, {3.43231400625*^9, 
   3.4323140224375*^9}, {3.4324903944375*^9, 3.432490452390625*^9}, {
   3.432819637453125*^9, 3.432819684703125*^9}, {3.432819724015625*^9, 
   3.432819748109375*^9}, {3.43291176409375*^9, 3.432911795265625*^9}, {
   3.43291186096875*^9, 3.432911944359375*^9}, {3.432912001671875*^9, 
   3.43291200221875*^9}, {3.432912752484375*^9, 3.4329127705*^9}, {
   3.43291280159375*^9, 3.4329128218125*^9}, {3.432912859*^9, 
   3.4329128800625*^9}, {3.432915209078125*^9, 3.43291522165625*^9}, {
   3.433002187839625*^9, 3.433002192464625*^9}, {3.433002222527125*^9, 
   3.43300222285525*^9}, {3.433263037453125*^9, 3.43326306996875*^9}, {
   3.4332631034375*^9, 3.433263175421875*^9}, {3.433263238296875*^9, 
   3.433263328078125*^9}, {3.433263365578125*^9, 3.43326336734375*^9}, {
   3.433263531671875*^9, 3.433263573453125*^9}, {3.433263657234375*^9, 
   3.433263671796875*^9}, {3.433263709296875*^9, 3.4332637441875*^9}, 
   3.433263812171875*^9, {3.43326384878125*^9, 3.433263881453125*^9}, {
   3.4332639300625*^9, 3.433263935171875*^9}, {3.433264124453125*^9, 
   3.43326417646875*^9}, {3.4332646575*^9, 3.433264658578125*^9}, {
   3.43326497934375*^9, 3.43326501971875*^9}, {3.433265074515625*^9, 
   3.4332650771875*^9}, {3.43326518671875*^9, 3.433265192140625*^9}, {
   3.4332652461875*^9, 3.433265305703125*^9}, 3.433265377984375*^9, {
   3.433265952859375*^9, 3.433265964875*^9}, 3.433265997765625*^9, {
   3.4332662099375*^9, 3.433266221328125*^9}, {3.433266257234375*^9, 
   3.43326626359375*^9}, {3.433266490703125*^9, 3.433266492828125*^9}, {
   3.43326658809375*^9, 3.43326661203125*^9}, {3.433267032640625*^9, 
   3.433267061765625*^9}, {3.433267095125*^9, 3.43326714121875*^9}, {
   3.43326813915625*^9, 3.433268140515625*^9}, {3.4332682324375*^9, 
   3.433268277109375*^9}, {3.43326844434375*^9, 3.433268451875*^9}, {
   3.433268681546875*^9, 3.433268740890625*^9}, {3.433268773109375*^9, 
   3.43326892103125*^9}, {3.433268989*^9, 3.433268990390625*^9}, {
   3.43326910678125*^9, 3.433269133015625*^9}, {3.433269245390625*^9, 
   3.433269599421875*^9}, {3.433269636796875*^9, 3.43326967865625*^9}, {
   3.433269856421875*^9, 3.433269934765625*^9}, {3.433269989546875*^9, 
   3.433269999109375*^9}, {3.43327005465625*^9, 3.43327012634375*^9}, {
   3.433270275015625*^9, 3.433270358734375*^9}, {3.43327241534375*^9, 
   3.43327241721875*^9}, {3.433272523234375*^9, 3.433272542984375*^9}, {
   3.433272684921875*^9, 3.43327275509375*^9}, {3.43327360646875*^9, 
   3.43327367340625*^9}, {3.4332745581875*^9, 3.43327456778125*^9}, {
   3.433348340296875*^9, 3.433348377328125*^9}, {3.433348725734375*^9, 
   3.433348733078125*^9}, {3.43335038640625*^9, 3.4333503944375*^9}, {
   3.43335044390625*^9, 3.433350462703125*^9}, {3.43335052934375*^9, 
   3.43335053934375*^9}, {3.433350598234375*^9, 3.433350757453125*^9}, {
   3.43335099659375*^9, 3.433351021171875*^9}, {3.433351067265625*^9, 
   3.43335107159375*^9}, 3.433351137609375*^9, {3.43335122540625*^9, 
   3.433351230890625*^9}, {3.433351262125*^9, 3.433351334015625*^9}, {
   3.433351402546875*^9, 3.433351405078125*^9}, {3.433351513390625*^9, 
   3.4333515634375*^9}, {3.4333516425*^9, 3.433351643140625*^9}, 
   3.433351813609375*^9, {3.433351859046875*^9, 3.433351965921875*^9}, {
   3.43335200825*^9, 3.433352027171875*^9}, {3.4333531065*^9, 
   3.4333531224375*^9}, {3.4333531953125*^9, 3.43335333196875*^9}, {
   3.43335337284375*^9, 3.433353377859375*^9}, {3.433353432359375*^9, 
   3.433353522953125*^9}, {3.43335359678125*^9, 3.4333536578125*^9}, {
   3.433353724984375*^9, 3.433353729203125*^9}, {3.433353889609375*^9, 
   3.433353939265625*^9}, {3.4333542933125*^9, 3.43335430784375*^9}, {
   3.433354444109375*^9, 3.433354454765625*^9}, {3.433354499078125*^9, 
   3.4333544998125*^9}, {3.43335455778125*^9, 3.43335455796875*^9}, {
   3.433354638*^9, 3.43335476875*^9}, {3.43335480209375*^9, 3.43335487*^9}, {
   3.433354986265625*^9, 3.4333550055*^9}, 3.433355113734375*^9, 
   3.433355154125*^9, {3.43335534528125*^9, 3.433355423609375*^9}, {
   3.433355501171875*^9, 3.433355551515625*^9}, {3.4333556315625*^9, 
   3.433355635296875*^9}, 3.433355814203125*^9, {3.43335610615625*^9, 
   3.433356111046875*^9}, {3.433356329953125*^9, 3.433356356921875*^9}, {
   3.433356387609375*^9, 3.43335644615625*^9}, {3.433356519359375*^9, 
   3.433356528203125*^9}, {3.43335660975*^9, 3.4333566125*^9}, {
   3.433529435703125*^9, 3.433529450734375*^9}, 3.4335295241875*^9, {
   3.433822529046875*^9, 3.433822533234375*^9}, {3.433822634765625*^9, 
   3.4338226455625*^9}, {3.433822675953125*^9, 3.433822717671875*^9}, {
   3.433822960578125*^9, 3.433823031875*^9}, {3.4338230680625*^9, 
   3.433823134734375*^9}, 3.43382328684375*^9, {3.433823355734375*^9, 
   3.4338234370625*^9}, {3.433823541015625*^9, 3.43382375728125*^9}, {
   3.43382381121875*^9, 3.433823915578125*^9}, {3.433824015296875*^9, 
   3.4338241115*^9}, {3.433824167671875*^9, 3.4338242348125*^9}, {
   3.4338242939375*^9, 3.43382436921875*^9}, {3.4338244485*^9, 
   3.43382457075*^9}, 3.43383009778125*^9, {3.433830133734375*^9, 
   3.4338301575625*^9}, 3.43383021234375*^9, {3.43383028053125*^9, 
   3.4338303213125*^9}, {3.433831292375*^9, 3.43383136890625*^9}, {
   3.433831532296875*^9, 3.43383160746875*^9}, 3.43383170759375*^9, {
   3.43383173940625*^9, 3.433831765109375*^9}, {3.433831798890625*^9, 
   3.43383185915625*^9}, {3.433832011859375*^9, 3.4338320439375*^9}, {
   3.4338322391875*^9, 3.433832304765625*^9}, {3.433832537890625*^9, 
   3.433832578921875*^9}, {3.43383262978125*^9, 3.43383264578125*^9}, {
   3.43383275234375*^9, 3.43383278609375*^9}, {3.43383282065625*^9, 
   3.433832821328125*^9}, {3.43383296634375*^9, 3.43383300628125*^9}, {
   3.433833038125*^9, 3.43383309375*^9}, {3.43383314409375*^9, 
   3.43383318890625*^9}, {3.43383321915625*^9, 3.433833230890625*^9}, {
   3.4338332615625*^9, 3.43383328271875*^9}, {3.433833373796875*^9, 
   3.433833379546875*^9}, {3.4338335551875*^9, 3.433833634671875*^9}, {
   3.433833731265625*^9, 3.433833743875*^9}, {3.433848371015625*^9, 
   3.4338483935625*^9}, {3.433848548125*^9, 3.433848581140625*^9}, 
   3.4338489265625*^9, 3.433849756890625*^9, {3.4338501725625*^9, 
   3.433850213328125*^9}, {3.4338502515*^9, 3.4338502566875*^9}, {
   3.433850362921875*^9, 3.433850367953125*^9}, {3.433851124640625*^9, 
   3.43385117278125*^9}, {3.433851258421875*^9, 3.43385128984375*^9}, {
   3.433851396390625*^9, 3.433851427609375*^9}, {3.43385146440625*^9, 
   3.43385146790625*^9}, {3.43385163146875*^9, 3.43385168334375*^9}, {
   3.43385473825*^9, 3.43385476415625*^9}, {3.4338548586875*^9, 
   3.433854872828125*^9}, {3.433855630625*^9, 3.43385563109375*^9}, {
   3.434028868375*^9, 3.434028899921875*^9}, {3.434042697203125*^9, 
   3.434042697546875*^9}, {3.43404276428125*^9, 3.43404276434375*^9}, {
   3.43404280309375*^9, 3.434042868875*^9}, {3.43404304528125*^9, 
   3.434043083328125*^9}, {3.43404316034375*^9, 3.434043261046875*^9}, {
   3.434043298265625*^9, 3.434043378375*^9}, {3.43404345734375*^9, 
   3.434043526640625*^9}, {3.4340435581875*^9, 3.434043594328125*^9}, {
   3.43404362659375*^9, 3.434043775328125*^9}, {3.434043829921875*^9, 
   3.434043935703125*^9}, {3.434044552328125*^9, 3.434044557875*^9}, {
   3.434044608671875*^9, 3.43404462890625*^9}, {3.4340868835625*^9, 
   3.434086891875*^9}, {3.43411513584375*^9, 3.4341151369375*^9}, {
   3.434183530828125*^9, 3.434183571390625*^9}, {3.43418367903125*^9, 
   3.43418375421875*^9}, {3.43418395915625*^9, 3.434183968203125*^9}, {
   3.435611077296875*^9, 3.435611126640625*^9}, {3.4356119365625*^9, 
   3.4356119470625*^9}, {3.435612002796875*^9, 3.435612004484375*^9}, {
   3.435612524609375*^9, 3.435612543921875*^9}, 3.435612610359375*^9, {
   3.4356127935*^9, 3.435612796640625*^9}, {3.4356128536875*^9, 
   3.435612865375*^9}, {3.435613034421875*^9, 3.435613175671875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Total", "[", "cerpanacastka", "]"}], "+", 
  RowBox[{"Total", "[", "necerpanacastka", "]"}]}]], "Input",
 CellChangeTimes->{{3.433855238359375*^9, 3.4338552581875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"SOUCASNA", " ", "HODNOTA", " ", "PORTFOLIA"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"soucasnahodnotaportfolia", "=", 
   RowBox[{"hlavnivypocet", "[", 
    RowBox[{"0", ",", "rating", ",", "maticeprechodu", ",", "1"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.433272545890625*^9, 3.433272589875*^9}, {
  3.433274672328125*^9, 3.4332746934375*^9}, {3.43383360796875*^9, 
  3.4338336088125*^9}, {3.436938439359375*^9, 3.43693845209375*^9}, {
  3.437855534171875*^9, 3.43785554221875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"BUDOUCI", " ", "HODNOTA", " ", "PORTFOLIA"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"budoucihodnotaportfolia", "=", 
     RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SeedRandom", "[", "666", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Do", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"novyrating", "=", 
       RowBox[{"generovaniratingu", "[", "maticeprechoduvcdefaultu", "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"hodnotaportfolia", "=", 
       RowBox[{"hlavnivypocet", "[", 
        RowBox[{"1", ",", "novyrating", ",", "maticeprechodu", ",", "Tt"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"budoucihodnotaportfolia", ",", "hodnotaportfolia"}], "]"}]}], 
     ",", 
     RowBox[{"{", "pocetsimulaci", "}"}]}], "]"}], "\[IndentingNewLine]", 
   "budoucihodnotaportfolia"}]}]], "Input",
 CellChangeTimes->{{3.4378555811875*^9, 3.437855617359375*^9}, {
  3.437855658765625*^9, 3.43785566553125*^9}, {3.437855920390625*^9, 
  3.437855948125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"OCEKAVANA", " ", "ZTRATA"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"strednihodnota", "=", 
    RowBox[{"Mean", "[", "budoucihodnotaportfolia", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"StandardDeviation", "[", "budoucihodnotaportfolia", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ocekavanaztrata", "=", 
    RowBox[{"soucasnahodnotaportfolia", "-", 
     RowBox[{"strednihodnota", "/", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"(", 
         RowBox[{"1", "+", "urok"}], ")"}], ")"}], "^", 
       RowBox[{"(", "Tt", ")"}]}]}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.437548163671875*^9, 3.437548187625*^9}, {
   3.437548615703125*^9, 3.4375486231875*^9}, 3.437550275640625*^9, {
   3.437550361796875*^9, 3.437550369*^9}, 3.437550828140625*^9, {
   3.437855033078125*^9, 3.43785507821875*^9}, {3.437855768484375*^9, 
   3.437855810796875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"NEOCEKAVANA", " ", "ZTRATA"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"kvantily", "=", 
    RowBox[{"Quantile", "[", 
     RowBox[{
      RowBox[{"Sort", "[", "budoucihodnotaportfolia", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.05", ",", "0.01", ",", "0.005", ",", "0.001"}], "}"}]}], 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"VaR", "=", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{"soucasnahodnotaportfolia", ",", 
       RowBox[{"{", 
        RowBox[{"Length", "[", "kvantily", "]"}], "}"}]}], "]"}], "-", 
     RowBox[{"(", 
      RowBox[{"kvantily", "/", 
       RowBox[{"(", 
        RowBox[{"1", "+", "urok"}], ")"}]}], ")"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.434223084796875*^9, 3.4342231698125*^9}, {
  3.434223213078125*^9, 3.434223259625*^9}, {3.437677007671875*^9, 
  3.43767701625*^9}, {3.43767710275*^9, 3.437677128*^9}, {3.43767725290625*^9,
   3.437677263234375*^9}, {3.437677309515625*^9, 3.43767731428125*^9}, {
  3.437855846*^9, 3.437855885875*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"cestavysledky", ",", "budoucihodnotaportfolia"}], "]"}]], "Input",
 CellChangeTimes->{{3.434115116640625*^9, 3.43411512328125*^9}, {
  3.435604707359375*^9, 3.435604711*^9}, {3.437676928625*^9, 
  3.437676931828125*^9}, {3.43771536121875*^9, 3.437715363796875*^9}, {
  3.437748916171875*^9, 3.437748928296875*^9}, {3.437854967421875*^9, 
  3.4378549704375*^9}}],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<Histograms`\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"histbudhodn", "=", 
  RowBox[{"Histogram", "[", "budoucihodnotaportfolia2", "]"}]}]], "Input",
 CellChangeTimes->{{3.433090490609375*^9, 3.43309049853125*^9}, {
   3.433090663375*^9, 3.4330906814375*^9}, {3.433090760046875*^9, 
   3.433090793*^9}, {3.43309104696875*^9, 3.433091066765625*^9}, {
   3.433091129375*^9, 3.43309113409375*^9}, {3.433091216796875*^9, 
   3.433091290296875*^9}, {3.4330913423125*^9, 3.43309136615625*^9}, {
   3.433091439375*^9, 3.43309149571875*^9}, {3.433091546875*^9, 
   3.433091549765625*^9}, {3.433275394140625*^9, 3.433275422125*^9}, {
   3.433354093109375*^9, 3.43335409665625*^9}, {3.433354252890625*^9, 
   3.43335425665625*^9}, {3.43385555225*^9, 3.43385558809375*^9}, {
   3.434044778734375*^9, 3.434044791453125*^9}, {3.434044832875*^9, 
   3.434044897578125*^9}, {3.434097538171875*^9, 3.434097583578125*^9}, {
   3.43409789484375*^9, 3.43409794365625*^9}, {3.434098448546875*^9, 
   3.434098530046875*^9}, {3.43409939934375*^9, 3.4340993998125*^9}, {
   3.4340994441875*^9, 3.43409947628125*^9}, {3.434115046203125*^9, 
   3.43411504640625*^9}, 3.43421869725*^9, {3.4342216296875*^9, 
   3.434221649796875*^9}, {3.4342216919375*^9, 3.434221693765625*^9}, {
   3.43422192878125*^9, 3.434221959703125*^9}, {3.437676857609375*^9, 
   3.437676862859375*^9}, {3.4377519593125*^9, 3.437751974578125*^9}, {
   3.437800002046875*^9, 3.437800018078125*^9}, {3.437806756203125*^9, 
   3.4378067593125*^9}, {3.4378115173125*^9, 3.437811519265625*^9}, {
   3.437817864171875*^9, 3.437817864296875*^9}, {3.437821494140625*^9, 
   3.437821496609375*^9}, {3.437825121390625*^9, 3.43782512146875*^9}, {
   3.437826313484375*^9, 3.437826318046875*^9}, {3.437854989125*^9, 
   3.437854989734375*^9}}]
},
WindowSize->{755, 709},
WindowMargins->{{14, Automatic}, {Automatic, -4}},
Magnification->1.,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 7643, 168, 372, "Input"],
Cell[8214, 191, 6562, 164, 352, "Input"],
Cell[14779, 357, 7900, 158, 312, "Input"],
Cell[22682, 517, 9231, 197, 593, "Input"],
Cell[31916, 716, 2810, 78, 258, "Input"],
Cell[34729, 796, 1145, 34, 112, "Input"],
Cell[35877, 832, 2136, 58, 152, "Input"],
Cell[38016, 892, 744, 21, 72, "Input"],
Cell[38763, 915, 323, 9, 52, "Input"],
Cell[39089, 926, 4531, 103, 392, "Input"],
Cell[43623, 1031, 7878, 203, 525, "Input"],
Cell[51504, 1236, 25876, 483, 1192, "Input"],
Cell[77383, 1721, 203, 4, 31, "Input"],
Cell[77589, 1727, 554, 12, 52, "Input"],
Cell[78146, 1741, 1145, 28, 152, "Input"],
Cell[79294, 1771, 934, 22, 92, "Input"],
Cell[80231, 1795, 1072, 26, 72, "Input"],
Cell[81306, 1823, 411, 7, 31, "Input"],
Cell[81720, 1832, 76, 1, 31, "Input"],
Cell[81799, 1835, 1748, 26, 31, "Input"]
}
]
*)

(* End of internal cache information *)
